import { KeyTypeDataFieldNames } from '../../utils/props';
declare const _sfc_main: import("vue").DefineComponent<{
    data: {
        type?: import("vue").PropType<import('../../utils/props').Data>;
        default?: import('../../utils/props').Data;
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    legendTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    legendOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    xAxisLabelInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelRotate: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisTickShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisRightSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineAlwaysDisplay: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<import('../../utils/props').ValueTypeDataFieldNames>;
        default?: import('../../utils/props').ValueTypeDataFieldNames;
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<KeyTypeDataFieldNames>;
        default?: KeyTypeDataFieldNames;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTrigger: {
        type?: import("vue").PropType<"none" | "axis" | "item">;
        default?: "none" | "axis" | "item";
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<"key" | "value">;
        default?: "key" | "value";
    };
    yAxis: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    yAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    gridContainLabel: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridBottom: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridRight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxLocation: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoSource: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    toolboxTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    smooth: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    barWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    barBorderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaGradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaGradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftSplitLineType: {
        type?: import("vue").PropType<"dashed" | "dotted" | "solid">;
        default?: "dashed" | "dotted" | "solid";
    };
    yAxisRightSplitLineType: {
        type?: import("vue").PropType<"dashed" | "dotted" | "solid">;
        default?: "dashed" | "dotted" | "solid";
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowMarkLine: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    markLineType: {
        type?: import("vue").PropType<"max" | "min" | "average" | "median">;
        default?: "max" | "min" | "average" | "median";
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendTextWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisRightName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    startValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    endValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMaxValue: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisMaxValue: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelPosition: {
        type?: import("vue").PropType<"top" | "left" | "right" | "bottom" | "inside">;
        default?: "top" | "left" | "right" | "bottom" | "inside";
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelOverflow: {
        type?: import("vue").PropType<"none" | "truncate" | "break">;
        default?: "none" | "truncate" | "break";
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    option: import("vue").ComputedRef<{
        textStyle: {
            fontFamily: string;
        };
        title: {
            text: any;
            subtext: any;
            textStyle: {
                fontSize: any;
                fontWeight: any;
                color: any;
            };
            left: any;
        };
        toolbox: {
            show: any;
            left: any;
            top: any;
            itemSize: any;
            itemGap: any;
            feature: {
                myLocation: {
                    show: any;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                myDownload: {
                    show: any;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                myDataZoom: {
                    show: any;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                myInfo: {
                    show: any;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
                mySource: {
                    show: any;
                    title: string;
                    icon: string;
                    onclick(): void;
                };
            };
        };
        grid: {
            top: any;
            bottom: any;
            left: any;
            right: any;
            containLabel: any;
        };
        color: any;
        legend: {
            type: string;
            width: any;
            height: any;
            show: any;
            orient: any;
            top: any;
            left: any;
            textStyle: {
                lineHeight: number;
                rich: {
                    text: {
                        width: any;
                        color: any;
                        fontSize: any;
                    };
                };
            };
            itemHeight: any;
            itemWidth: any;
            itemGap: any;
            data: {
                name: any;
                itemStyle: {
                    color: any;
                };
                icon: any;
            }[];
            formatter: (name: string) => string;
        };
        tooltip: {
            trigger: string;
            show: any;
            textStyle: {
                color: any;
                fontSize: number;
            };
            position: any;
        };
        xAxis: {
            minInterval: any;
            type: string;
            data: {}[];
            splitLine: {
                show: any;
                lineStyle: {
                    color: any;
                };
                interval: any;
            };
            splitArea: {
                show: any;
            };
            axisLabel: {
                show: any;
                color: any;
                interval: any;
                rotate: any;
                width: any;
                overflow: any;
                fontSize: any;
                formatter(value: string): any;
            };
            axisLine: {
                show: any;
                lineStyle: {
                    color: any;
                };
            };
            axisTick: {
                show: any;
            };
            name: any;
            nameTextStyle: {
                fontSize: any;
                color: any;
                align: string;
            };
            max: any;
        };
        yAxis: any;
        series: {
            [x: string]: any;
        }[];
    }>;
    click: () => void;
    loading: import("vue").Ref<boolean>;
    onClose: () => void;
    ecanModal: import("vue").Ref<any>;
    echartRef: import("vue").Ref<any>;
    handleLocationOk: () => Promise<void>;
    onFilterOption: (input: string, option: any) => boolean;
    locationVisible: import("vue").Ref<boolean>;
    locationValue: import("vue").Ref<number>;
    locationNames: import("vue").Ref<any[]>;
    eventObj: import("vue").Ref<{
        [x: string]: any;
    }>;
    emptyData: import("vue").Ref<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type?: import("vue").PropType<import('../../utils/props').Data>;
        default?: import('../../utils/props').Data;
    };
    titleText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleSubtext: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    textAlign: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    colors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    legendTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    legendOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    xAxisLabelInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelRotate: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelOverflow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisTickShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisRightSplitLineShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisSplitAreaShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    xAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisSplitLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLineAlwaysDisplay: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    valueTypeDataFieldNames: {
        type?: import("vue").PropType<import('../../utils/props').ValueTypeDataFieldNames>;
        default?: import('../../utils/props').ValueTypeDataFieldNames;
    };
    keyTypeDataFieldNames: {
        type?: import("vue").PropType<KeyTypeDataFieldNames>;
        default?: KeyTypeDataFieldNames;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTrigger: {
        type?: import("vue").PropType<"none" | "axis" | "item">;
        default?: "none" | "axis" | "item";
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataFieldConfigType: {
        type?: import("vue").PropType<"key" | "value">;
        default?: "key" | "value";
    };
    yAxis: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    yAxisMinInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    gridContainLabel: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gridTop: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridBottom: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridLeft: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gridRight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxLocation: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDownloadShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxDataZoomShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxInfoSource: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    toolboxOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    toolboxItemSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    toolboxLeft: {
        type?: import("vue").PropType<"left" | "center" | "right">;
        default?: "left" | "center" | "right";
    };
    toolboxTop: {
        type?: import("vue").PropType<"top" | "bottom" | "middle">;
        default?: "top" | "bottom" | "middle";
    };
    toolboxIconStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxDownloadUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    toolboxInfoText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    symbolSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    lineStyleWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    smooth: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaStyleOpacity: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    barWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    barBorderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaGradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    areaGradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftSplitLineType: {
        type?: import("vue").PropType<"dashed" | "dotted" | "solid">;
        default?: "dashed" | "dotted" | "solid";
    };
    yAxisRightSplitLineType: {
        type?: import("vue").PropType<"dashed" | "dotted" | "solid">;
        default?: "dashed" | "dotted" | "solid";
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColors: {
        type?: import("vue").PropType<string[]>;
        default?: string[];
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendType: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendItemGap: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendItemHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    shadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    shadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisLabelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipPosition: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowMarkLine: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    markLineType: {
        type?: import("vue").PropType<"max" | "min" | "average" | "median">;
        default?: "max" | "min" | "average" | "median";
    };
    legendFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendTextWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    legendScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    yAxisLeftName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    yAxisRightName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    startValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    endValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    xAxisMaxValue: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    yAxisMaxValue: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    xAxisLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    noDataTip: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tipText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tipTextFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelPosition: {
        type?: import("vue").PropType<"top" | "left" | "right" | "bottom" | "inside">;
        default?: "top" | "left" | "right" | "bottom" | "inside";
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelOverflow: {
        type?: import("vue").PropType<"none" | "truncate" | "break">;
        default?: "none" | "truncate" | "break";
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>;
export default _sfc_main;
